#!/bin/bash
###############################################################################
#                                                                             #
# PDFUnit - Automated PDF Tests                                               #
#                                                                             #
# Copyright (C) 2016 PDFUnit.com                                              #
#                                                                             #
# This file is part of the commercial library PDFUnit.                        #
#                                                                             #
# Legal information__: http://pdfunit.com/en/licenseinfo.html                 #
# Manual_____________: http://pdfunit.com/en/download/index.html              #
# Contact for license: license[at]pdfunit.com                                 #
#                                                                             #
###############################################################################
# Author: Carsten Siedentop                                                   #
###############################################################################
#
# Extract all images of a PDF document into a PNG file for each image.
#
# Make sure, all the libraries named below can be found in the classpath!
#
export PDFUNIT_HOME=$PWD/lib/pdfunit-2016.05_java-1.7
export ASPECTJ_HOME=$PDFUNIT_HOME/lib/aspectj-1.8.7
export BOUNCYCASTLE_HOME=$PDFUNIT_HOME/lib/bouncycastle-jdk15on-153
export COMMONS_LOGGING_HOME=$PDFUNIT_HOME/lib/commons-logging-1.2
export PDFBOX_HOME=$PDFUNIT_HOME/lib/pdfbox-2.0.0
#
export CLASSPATH=$ASPECTJ_HOME/*:$CLASSPATH
export CLASSPATH=$BOUNCYCASTLE_HOME/*:$CLASSPATH
export CLASSPATH=$COMMONS_LOGGING_HOME/*:$CLASSPATH
export CLASSPATH=$PDFBOX_HOME/*:$CLASSPATH
export CLASSPATH=$PDFUNIT_HOME/*:$CLASSPATH
#
export TOOL=com.pdfunit.tools.ExtractImages
export OUT_DIR=../tmp
export IN_FILE=../src/test/resources/pdf-in-tests/images/documentWithLogo.pdf
export PASSWD=
#
java $TOOL  $IN_FILE  $OUT_DIR  $PASSWD
