::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
::                                                                           :
:: PDFUnit - Automated PDF Tests                                             :
::                                                                           :
:: Copyright (C) 2016 PDFUnit.com                                            :
::                                                                           :
:: This file is part of the commercial library PDFUnit.                      :
::                                                                           :
:: Legal information__: http://pdfunit.com/en/licenseinfo.html               :
:: Manual_____________: http://pdfunit.com/en/download/index.html            :
:: Contact for license: license[at]pdfunit.com                               :
::                                                                           :
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: Author: Carsten Siedentop                                                 :
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
::
:: Render a part of a PDF page into an image file.
::
:: Make sure, all the libraries named below can be found in the classpath!

@echo off
setlocal
set PDFUNIT_HOME=../lib/pdfunit-2016.05_java-1.7
set ASPECTJ_HOME=%PDFUNIT_HOME%/lib/aspectj-1.8.7
set COMMONS_LOGGING_HOME=%PDFUNIT_HOME%/lib/commons-logging-1.2
set PDFBOX_HOME=%PDFUNIT_HOME%/lib/pdfbox-2.0.0

set CLASSPATH=%ASPECTJ_HOME%/*;%CLASSPATH%
set CLASSPATH=%COMMONS_LOGGING_HOME%/*;%CLASSPATH%
set CLASSPATH=%PDFBOX_HOME%/*;%CLASSPATH%
set CLASSPATH=%PDFUNIT_HOME%/*;%CLASSPATH%

set TOOL=com.pdfunit.tools.RenderPdfPageRegionToImage
set PAGENUMBER=1
set OUT_DIR=../tmp
set IN_FILE=../src/test/resources/pdf-in-tests/content/documentForTextClipping.pdf
set PASSWD=

:: All values must be millimeter:
set UPPERLEFTX=0
set UPPERLEFTY=0
set WIDTH=100
set HEIGHT=100
set PAGEHEIGHT=297

java  %TOOL%  %IN_FILE%  %PAGENUMBER%  %OUT_DIR%  %UPPERLEFTX%  %UPPERLEFTY%  %WIDTH%  %HEIGHT%  %PAGEHEIGHT%  %PASSWD%
endlocal
